logs archiveIRC Archive / Freenode / #firefox / 2015 / August / 8 / 1
fuorviatos
so no body can help me?
GrayShade
fuorviatos: can you try in a private mode window?
fuorviatos
Grayshade, that function is disabled there
GrayShade
ah, sorry
then maybe in a clean profile?
fuorviatos
GrayShade
need to try that, yeah
MrJones
GrayShade: h264 is broken.
the devs ignore it on the according bug report with shallow "works for me" remarks, but there is like a user coming in here with the same problem all the time
it works in stable, no longer works in nightly
oh right, this one was actually about the peer to peer cisco thing... sorry for butting in
t-ask
si ff-dev also affected with the 0-day bug?
b0at
no idea. depends on what revision of pdf.js it ships with. assume yes.
t-ask
I assume, too. cause why should it be different
no so good news...
can I verify the pdf.js version used?
looking at https://download-installer.cdn.mozilla.net/pub/firefox/nightly/latest-mozilla-aurora/ it doesn't seem that version numbers changed but upload dates?!
         

Peng
They don't change the version number every day.
I assume aurora and nightly were patched immediately.
But we should go with something stronger than my assumptions :P
b0at
about:buildconfig has a link to a code snapshot at the time of the build. if pdf.js is pulled in before that, then it should be possible to find out.
t-ask
yes, It would be good to have something official for dev ed
Peng
step 1: clone mozilla-central :P
t-ask
central?
I mean it has the same date
GrayShade
MrJones: i know. i actually prefer flash instead of html5 video because of that
by the way, where is pdf.js on disk?
i think it was in the install folder at some point, but i don't see it in the extensions dir anymore
solrize
any idea howcome i no longer have an auto-update option? firefox 34.0, 64 bit linux
kbrosnan
solrize: updates are handled by the os on linux (for the most part). run your distro's package manager to update Firefox
solrize
it used to auto-update and i'm running an old fedora distro that isn't getting updates and i don't know if fedora has caught up to this pdf exploit fix anyway
b0at
there might be a mozilla-controlled repo you could add. at least, that's how i did it when i installed opensuse last.
avenita
so, why is youtube defaulting to flashplayer on firefox linux 39.0 if according to youtube.com/html its all green for HTML5?
CooloutAC
solrize, why not update your fedora? isn't that even more important then firefox?
avenita
if i try to disable flashplayer, i just get a "cannot play video" error, some videos can play on HTML5 but most dont.
CooloutAC
avenita, what o/s?
avenita
Archlinux i386
CooloutAC
do you have gstreamer plugins installed?
avenita
yes. VLC backend.
b0at
1) make sure all gstreamer-1.0-* packages are installed, 2) if it still doesn't work, open about:config?filter=media and see what you can enable
CooloutAC
i think there was a gst-lib or something i needed like that too
avenita
i mean, if i go to youtube.com/html5 i have all requeriments met already.
         

CooloutAC
ya that doesnt' matter i had same problem with midori on lxde with arch
avenita
maybe its a ffmpeg problem then?
CooloutAC
gstreamer
how do I show history of installed apps with pacman, i did it recently i can check what files i installed
let me check the log
avenita
ah
i had this on false "media.mediasource.whitelist"
and "media.fragmented-mp4.use-blank-decoder"false
solrize
CooloutAC, i didn't notice quite when fedora stopped auto-updating. i'm terrified of how much stuff will probably break if i update now. plus the many hours of downloading over my slow dsl connection.
avenita
if i enable media.fragmented-mp4.use-blank-decoder, i got HTML5 playback on all videos but no audio
solrize
i think of switching to debian
avenita
if i keep it on false, i got flashplayer on these videos.
solrize
i downloaded firefox 38.0.3 but it's not even clear how to install it
CooloutAC
avenita, ok i had to install gst-libav along witht he gstreamer plugins
gst-libav and the gst-plugins-*
avenita
i have this "media.fragmented-mp4.ffmpeg.enabled;true"
CooloutAC
I think i also had the issue of video playback and no audio
i just said the hell with it and installed all the gstreamer plugins
avenita
i have all the gstreamer plugins installed
CooloutAC
hmm then i don't know what to say i'm sorry
gst-libav too?
avenita
yes, with media.fragmented-mp4.use-blank-decoder i get HTML5 playback but no audio, just a beep tone continued
CooloutAC
I didn't gt a beep tone, but I did experience a similar issue with no audio
maybe I did something else to fix it and I can't remember
sorry i'm sure someone here can help you eventually
b0at
i've gotten it working fine in arch, but i didn't have to enable anything as esoteric sounding as that blank decoder thing
CooloutAC
me neither
avenita
lemme running firefox of a terminal to see what it prints
i get this "E/MPEG4Extractor(18626): No width or height, assuming worst case 1080p"
nothing else
CooloutAC
avenita, I would suggest a diff distro
kbrosnan
solrize: you extract it to a folder then execute the firefox script. make sure no other Firefoxes are running before launching
solrize
hmm ok
ah thanks, that worked, except it's running out of my local folder instead of from the system dirs... is there an install script? i really should update fedora but this will do for now
avenita
wut? CooloutAC, im better of switching to chrome than switching the entire distro.
solved, downgrade Firefox from firefox-39.0.3-1-i686 to firefox-39.0.1-i686
CooloutAC
avenita, weird
i got a problem now, i booted into another linux kernel, and now firefox is not loading the bookmarks
the backups are there but even when i try to restore them it says unable to process backup file
so they only work with this certain kernel, not the others the firefox bookmarks? lol
i backed up to html format on the desktop i'll see if i can restore that to the other kernel
avenita, ya sorry it was a dumb comment, i had a problem which turned out to be a kvm problem, and i just dislike the arch community
avenita, i'm using 39.0.3 with no probs on arch
avenita
actually i like the arch community a lot, specially coming from the circlejerk of fedora community,
dunno, just upgrade again to 39.0.3 and issue reaappeared. downgrade again and marked 39.0.3 for skip for future updates.
MikeRL
Question on the mandatory extension signing in Firefox 41 - I use stable and currently use some "sideloaded" extensions - Complete YouTube Saver, DTA Nightly, HTTPS Everywhere, MEGA, PDF.JS dev branch, and Roomy Bookmarks Toolbar.
Some of the above are only available from their respective sites, others are updated but not yet signed, and some are developer branch extension versions.
If signing is mandated, what will happen to these extensions?
CooloutAC
avenita: weird
MikeRL
Not to mention all the Ubuntu integrated extensions that ship with Firefox on Ubuntu that are unsigned.
CooloutAC
avenita: ya i don't like fedora community that much either, fenrus02 is pretty vile
i don't like any linux community I guess lol
MikeRL
I mean, how will I use developer branches of extensions? Or ones bundled with Ubuntu?
There are only a few volunteers signing stuff. I'd have to wait days for updates to pass through.
They should at least get some help.
avenita
fenrus02.. ayy lmao, i know that guy
the thing with fedora's community, specially the #fedora channel, is the redhat circlejerk.
MikeRL
Anybody else concerned a bit? I mean, I think eventually this will be squared away - but there's only one or two people approving addons, and no automation.
« prev 1 2 next »